Package: org.gradle.testkit.runner

## [Java] Interface BuildTask

- A task that was executed when running a specific build.

  See Also:
    BuildResult
  Since:
    2.6

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `TaskOutcome` | `getOutcome()` The outcome of attempting to execute this task.
    `String` | `getPath()` The unique path of the task.

- - ### Method Detail

    - #### public TaskOutcome getOutcome()

      The outcome of attempting to execute this task.

      Returns:
        the task outcome

    - #### public String getPath()

      The unique path of the task.

      The task path is a combination of its enclosing project's path and its name. For example, in multi project build the `bar` task of the `foo` project has a path of `:foo:bar`. In a single project build, the `bar` task of the lone project has a path of `:bar`.

      This value corresponds to the value output by Gradle for the task during its normal progress logging.

      Returns:
        the task path